You can now create recurring posts through the LocalPosts API to keep your customers updated automatically. Additionally, you can access review media items and track your review reply status in the Reviews API to better manage customer feedback, and retrieve the location place ID in pending invitations through the Account Management API.
To programmatically accept the invitation, utilize the google.mybusiness.v4.AcceptInvitation method.
The request requires specifying the location in the URL path and providing the Admin object in the request body.
Authorization is essential using either https://www.googleapis.com/auth/plus.business.manage or https://www.googleapis.com/auth/business.manage OAuth scopes.
Invites the specified user to become an administrator for the specified location. The invitee must accept the invitation in order to be granted access to the location. See [invitations.accept]
[google.mybusiness.v4.AcceptInvitation] to programmatically accept an invitation.
HTTP request
POST https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/admins
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-10-16 UTC."],[],["This document details the process of inviting a user to become an administrator for a specific location. It uses a `POST` request to `https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/admins`, with the `parent` path parameter defining the location. The request body should contain an `Admin` instance. A successful operation returns a newly created `Admin` instance. This function requires one of two specified OAuth scopes. Deprecated, user should refer to the Account Management API.\n"]]